.\"
.\" Generated automatically from man.1.in by the
.\" configure script.
.\"
.\" Man page for man (and the former manpath)
.\"
.\" Copyright (c) 1990, 1991, John W. Eaton.
.\" Traducido del portugus por Pablo Saratxaga <srtxg@f2219.n293.z2.fidonet.org>
.\" La seccin "pginas formatadas" ha sido tomada de la version francesa de
.\" esta pgina de manual, traducida por Ren Cougnenc.
.\"
.\" Traduccin actualizada por Benjamn Albiana <benalb@escomposlinux.org>
.\"
.\" You may distribute under the terms of the GNU General Public
.\" License as specified in the README file that comes with the man 1.0
.\" distribution.
.\"
.\" John W. Eaton
.\" jwe@che.utexas.edu
.\" Department of Chemical Engineering
.\" The University of Texas at Austin
.\" Austin, Texas  78712
.\"
.\" Many changes - aeb
.\"
.TH man 1 "Septiembre 19 2005"
.LO 1
.SH NOMBRE
man \- da formato y muestra las pginas del manual en lnea
.br
manpath \- determina la ruta de bsqueda inicial 
.SH SINPSIS
man [\-acdfhktw] [\-m sistema] [\-p cadena] [\-C fich_config] [\-M ruta]
[\-P paginador] [\-S lista_sec] [seccin] nombre ...
.SH DESCRIPCIN
.B man
da formato y muestra las pginas del manual en lnea. Esta versin reconoce
las variables de entorno (environment)
.B. MANPATH
y
.B (MAN)PAGER
(ver ms adelante).
Si se indica la
.I seccin
, 
.B man
buscar nicamente en ella.
Es tambin posible indicar el orden de bsqueda en la secciones
y que preprocesamiento efectuar con los manuales, por medio de opciones en la
lnea de comando o con variables de entorno.
Si el
.I nombre
contiene el carcter `/' tratar primero un fichero con ese nombre, permitiendo
hacer 
.B "man ./foo.5"
o tambin 
.B "man /cd/foo/bar.1.gz"
para dar formato y ver un fichero en particular.
.SH OPCIONES
.TP
.B \-\^C " fich_config"
Indica el fichero de configuracin a usar; por defecto se usar
/etc/man.conf. (Ver man.conf(5).)
.TP
.B \-\^M " ruta"
Indica la lista de directorios donde buscar los manuales.
Sin esta opcin se utilizar la variable
.B MANPATH.
Si esta variable tampoco estuviera definida, se obtendr una lista
consultando /etc/man.conf. Un directorio vaco en MANPATH
representa la lista anterior.
.TP
.B \-\^P " paginador"
Indica que paginador/visualisador usar. Sin esta opcin tratar
de consultar la variable
.B PAGER.
Normalmente, man usar
.B /usr/bin/less -is.
.TP
.B \-\^S " lista_sec"
Da la lista de secciones (separadas por `:') donde buscar y en que
orden. Esta opcin tiene prioridad sobre la variable
.B MANSECT.
.TP
.B \-\^a
Normalmente man muestra el primer manual que encuentra. Esta opcin
le permite mostrar todas las pginas de manual encontradas para la entrada
.B nombre.
.TP
.B \-\^d
No muestra el manual, sino informacin para la depuracin de errores.
.TP
.B \-\^f
Equivalente a
.B whatis.
.TP
.B \-\^h
Muestra un breve mensaje de ayuda.
.TP
.B \-\^k
Equivalente a
.B apropos.
.TP
.B \-\^m " sistema"
Indica un conjunto de manuales diferentes aplicables al sistema indicado.
.TP
.B \-\^p " cadena"
Especifica una secuencia de preprocesadores a usar antes de nroff o
troff (los formateadores). Algunas instalaciones de Linux pueden no tener todos los
preprocesadores. Algunos preprocesadores y las letras a usar para
indicarlos son:
eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r).
Esta opcin tiene proridad sobre la variable
.B MANROFFSEQ.
.TP
.B \-\^t
Usar
.B /usr/bin/groff -Tps -mandoc
para dar formato a las pginas de manual, efectundose la salida por
.B stdout
Puede ser necesario procesar la salida de este comando con otros filtros
para poder visualizarla o imprimirla.
.TP
.B \-\^w \fRo\fP \-\-path
No muestra las pginas de manual, sino la(s) localizacin(es) de los
ficheros que se hubieran formateado y mostrado, para la entrada de
.B nombre
indicado. Si no se da ninguna otra opcin muestra la lista de
directorios que seran recorrido por .B man
durante la bsqueda. Si
.B manpath
es un enlace a man, entonces "manpath" equivale a "man --path".
.B \-\^W
Como \-\^w, pero muestra los nombres de ficheros, uno por linea, sin ninguna
otra informacin. Muy til en comandos shell del estilo:
.ft CW
man -aW man | xargs ls -l
.ft
.SH "PGINAS FORMATEADAS"
Con el fin de ganar tiempo,
.B man
trata de guardar la pginas formateadas
en vez de interpretarlas cada vez que se las pide.
Tradicionalmente, las versiones formateadas de las pginas de REP/manX son
guardadas en REP/catX, pero se pueden indicar otras correspondencias
entre los directorios man y cat en el fichero /etc/man.conf. Si el 
directorio  \%cat\% correspondiente no existe, no se guardarn las
pginas formateadas.
Es posible hacer a 
.B man
suid para un usuario man. En este caso, si un directorio cat pertenece
a man, y tiene el modo 0755 (nicamente man tiene permisos de escritura), 
y los ficheros cat pertenecen tambin a man y tiene el modo 0644  0444 (slo
mana tiene permisos de escritura, o nadie los tiene), ningn usuario normal
podr cambiar las pginas formateadas o aadir ficheros al directorio 
correspondiente. Si
.B man
no es suid, los directorios cat debern tener el modo 0777 para que todo 
usuario pueda dejar el resultado de los formateos efectuados durante las
consutlas del manual.
.LP
La opcin -c fuerza el reformateo de una pgina, aunque ya exista un fichero
cat ms reciente que el fichero fuente.

.SH ENTORNO
.TP
.B MANPATH
Si se ha definido 
.B MANPATH
se usar su valor como lista de directorios (manpath) donde pueden estar
las entradas del manual.
.TP
.B MANROFFSEQ
Si se ha definido
.B MANROFFSEQ
su valor determinar los preprocesadores a aplicar 
antes de nroff o troff. Normalmente, las pginas de manual, son
preprocesadas por tbl antes de nroff.
.TP
.B MANSECT
Si se ha definido
.B MANSECT
su valor indicar las secciones a recorrer.
.TP
.B PAGER
Si se ha definido
.B PAGER
su valor indicar el programa a usar para mostrar el manual.
Normalmente usar
.B /usr/bin/less -is.
.TP
.B LANG
Si se ha definido
.B LANG
su valor indicar el nombre del subdirectorio donde
.B man
comenzar la bsqueda de las pginas de manual. Por ejemplo, el comando
\%LANG=es man 1 pepe\% tendr como efecto de hacer una bsqueda de la pgina
pepe en .../es/man1/pepe.1, y si ese fichero no existe,
en .../man1/pepe.1, ( ... indica un directorio en la ruta de bsqueda).
.TP
.B "NLSPATH, LC_MESSAGES, LANG"
Las variables de entorno
.B NLSPATH
y
.B LC_MESSAGES
(o
.B LANG
cuando LC_MESSAGES no existe)
juegan un papel en la localizacin del catlogo de mensajes.
Ntese que los programas como col(1) que son llamados por
.B man,
tambin utilizan LC_CTYPE.
.TP
.B PATH
.B PATH
se utiliza para la construccin de la ruta de bsqueda por omisin.
.TP
.B SYSTEM
.B SYSTEM
se emplea para obtener los sistemas alternativos por omisin (en vista del
uso de la opcin
.B \-m
).
.SH AUTOR
John W. Eaton fue el autor original de
.BR "man" .
Zeyd M. Ben-Halim lanz man 1.2, y Andries Brouwer continu con
las versiones 1.3 a 1.5p.
Federico Lucifredi <flucifredi@acm.org> es el encargado actual.
.SH "VASE TAMBIN"
apropos(1), whatis(1), less(1), groff(1).
.SH BUGS
.B \-t
solo funciona si existe un programa troff o equivalente.
.SH TRADUCCIN
Pablo Saratxaga, 1996. A partir de la pgina en portugus de
Vitor Duarte y la pgina en francs de Ren Cougnenc.

Actualizacin de Benjamn Albiana, 2006.
