.\" Copyright (c) 1999 Ottavio G. Rizzo <rizzo@pluto.linux.it>
.\"
.\" Traduction : Alain Portal <aportal AT univ-montp2 DOT fr> le 1/6/2005
.\"
.\" This is free documentation; you can redistribute it and/or
.\" modify it under the terms of the GNU General Public License as
.\" published by the Free Software Foundation; either version 2 of
.\" the License, or (at your option) any later version.
.\"
.\" The GNU General Public License's references to "object code"
.\" and "executables" are to be interpreted as the output of any
.\" document formatting or typesetting system, including
.\" intermediate and printed output.
.\"
.\" This manual is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public
.\" License along with this manual; if not, write to the Free
.\" Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\" 
.TH MAKEWHATIS 8 "19 septembre 2005"
.SH NOM
makewhatis \- Cre la base de donnes whatis
.SH SYNOPSIS
.BI "makewhatis [-u] [-v] [-w] [-s " sections " ] [-c [" catpath "]] [" manpath "]"
.SH DESCRIPTION
.B makewhatis
lit toutes les pages de manuels contenues dans les sections
.I sections
du rpertoire
. I manpath
ou les pages prformates contenues dans les sections
.I sections
du rpertoire
.IR catpath .
Pour chacune des pages,
.B makewhatis
crit une ligne dans la base de donnes whatis\ ; chaque ligne est constitue
du nom de la page de manuel et d'une courte description de celle-ci, spars
par un trait. La description est extraite du contenu de la section NAME de la
page de manuel.
.LP
Du fait que d'autres langues utilisent un terme diffrent pour la section NAME,
.B makewhatis
reconnat les termes quivalents en allemand, espagnol, finnois, franais,
italien et tchque.
.LP
Si aucun argument
.I manpath
n'est fourni, la valeur par dfaut est
.IR /usr/man .
.SH OPTIONS
.TP
.B -u
Mettre  jour la base de donnes avec de nouvelles pages.
.TP
.B -v
Sortie bavarde.
.TP
.B -w
Utiliser le chemin de recherche
.I manpath
obtenu par la commande \ man --path\ .
.TP 
.BI -s " sections"
Chercher dans les sections
.I sections
de
.IR manpath " ou " catpath .
Si cette option est absente, sa valeur est
.IR  " " \' "1 2 3 4 5 6 7 8 9 n l"\'
.TP 
.BI -c " catpath"
Les pages prformates de manuel situes dans
.I catpath
sont scrutes. Si l'argument n'est pas fourni, il est suppos tre le premier
des deux rpertoires existant entre
.IR /usr/man/preformat " et " /usr/man .
.SH EXEMPLES
.PP
Pour reconstruire seulement les bases de donnes
.IR /usr/X11R6/man/whatis " et " /usr/local/man/whatis
.IP 
makewhatis /usr/X11R6/man /usr/local/man
.PP
Pour reconstruire toutes les bases de donnes en incluant les traductions
finnoise, franaise et italienne
.IP
LANGUAGE=fi:fr:it makewhatis -w
.SH BOGUES
.B makewhatis
peut ne pas trs bien grer les pages de manuels qui ont t crites avec
des macros troff non standard, comme les pages Tcl/Tk.
.PP
.B makewhatis
ne fonctionne pas avec les traductions prformates.

.SH AUTEUR
John W. Eaton est l'auteur historique de
.BR man .
Federico Lucifredi <flucifredi@acm.org> en assure aujourd'hui la maintenance.

.SH "VOIR AUSSI"
.BR apropos (1),
.BR man (1),
.BR whatis (1)

.SH TRADUCTION
.PP
Ce document est une traduction ralise par Alain Portal
<aportal AT univ-montp2 DOT fr> le 1er juin 2005 et mise  jour
le 7 novembre 2005.
.PP
L'quipe de traduction a fait le maximum pour raliser une adaptation
franaise de qualit. La version anglaise la plus  jour de ce document est
toujours consultable via la commande\ : \ \fBLANG=en\ man\ 8\ makewhatis\fR\ .
N'hsitez pas  signaler  l'auteur ou au traducteur, selon le cas, toute
erreur dans cette page de manuel.

