.\" $Id: makewhatis.8,v 1.2 1999/05/24 14:40:26 otto Exp $
.\" Copyright (c) 1999 Ottavio G. Rizzo <rizzo@pluto.linux.it>
.\" Traduzione italiana del medesimo
.\" Aggiornamento alla versione 1.6d di Giulio Daprel <giulio@pluto.it>
.\" Agosto 2006
.\"
.\" This is free documentation; you can redistribute it and/or
.\" modify it under the terms of the GNU General Public License as
.\" published by the Free Software Foundation; either version 2 of
.\" the License, or (at your option) any later version.
.\"
.\" The GNU General Public License's references to "object code"
.\" and "executables" are to be interpreted as the output of any
.\" document formatting or typesetting system, including
.\" intermediate and printed output.
.\"
.\" This manual is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public
.\" License along with this manual; if not, write to the Free
.\" Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
.\" USA.
.\" 
.TH MAKEWHATIS 8 "19 settembre 2005"
.SH NOME
makewhatis \- Crea il database di whatis
.SH SINTASSI
.BI "makewhatis [-u] [-v] [-w] [-s " sezioni " ] [-c [" percorso_cat "]] [" percorso_man "]"
.SH DESCRIZIONE
.B makewhatis
legge tutte le pagine di manuale contenute nelle date
.IR sezioni " in " percorso_man
o nelle corrispondenti
.IR sezioni " in " percorso_cat .
Scrive, per ogni pagina, una riga nel database di whatis: ognuna
consiste nel nome della pagina e in una breve descrizione separata da
un trattino. La descrizione viene estratta basandosi sul contenuto
della sezione NOME della pagina di manuale.
.LP
Poich lingue diverse usano nomi diversi per indicare la sezione NOME,
.B makewhatis
riconosce il termine equivalente in ceco, finlandese, francese,
inglese, italiano, spagnolo e tedesco.
.LP
Se non viene passato nessun argomento
.I percorso_man ,
viene usato
.I /usr/man .
.SH OPZIONI
.TP
.B -u
Aggiorna il database con le nuove pagine.
.TP
.B -v
Output pi dettagliato.
.TP
.B -w
Ottiene il percorso da `man --path`
.TP 
.BI -s " sezioni"
Guarda nelle
.I sezioni
di
.IR percorso_man " or " percorso_cat .
Se l'opzione manca, il suo valore viene posto a
.I  \'1 2 3 4 5 6 7 8 9 n l\'
.TP 
.BI -c " percorso_cat"
Vengono considerate le pagine preformattate che si trovano in
.I catpath .
Se l'argomento  assente, viene usata la prima directory esistente fra
.I /usr/man/preformat " e " /usr/man .
.SH ESEMPI
.PP
Per ricostruire solo
.IR /usr/X11R6/man/whatis " e " /usr/local/man/whatis :
.IP
makewhatis /usr/X11R6/man /usr/local/man
.PP
Per ricostruire tutti i database, inclusi quelli con le traduzioni
finlandesi, francesi e italiane:
.IP
LANGUAGE=fi:fr:it makewhatis -w
.SH BACHI
.B makewhatis
potrebbe non aprezzare molto le pagine scritte con macro Troff non
standard, come quelle di Tcl/Tk.
.PP
.B makewhatis
non funziona con le traduzioni preformattate.
.SH AUTORE
John W. Eaton  l'autore originale di
.BR "man" .
Zeyd M. Ben-Halim ha rilasciato man 1.2, e Andries Brouwer le versioni da 
1.3 a 1.5p.
Federico Lucifredi <flucifredi@acm.org>  il maintainer attuale.
.SH VEDERE ANCHE
.BR apropos (1),
.BR man (1),
.BR whatis (1)